Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula
Interface TwoDEval

All Superinterfaces:
  ValueEval

All Known Subinterfaces:
  AreaEval

All Known Implementing Classes:
  AreaEvalBase

    public interface TwoDEval

extends ValueEval

Common interface of `AreaEval` and `AreaEvalBase`

Author:
  Josh Micich

Method Summary
`org.apache.poi.ss.formula.LazyAreaEval` | `getColumn(int columnIndex)`
`int` | `getHeight()`
`org.apache.poi.ss.formula.LazyAreaEval` | `getRow(int rowIndex)`
`ValueEval` | `getValue(int rowIndex, int columnIndex)`
`int` | `getWidth()`
`boolean` | `isColumn()`
`boolean` | `isRow()`

Method Detail

### getValue

    ValueEval getValue(int rowIndex,
                       int columnIndex)

  Parameters:
    `rowIndex` - relative row index (zero based)
    `columnIndex` - relative column index (zero based)
  Returns:
    element at the specified row and column position

### getWidth

    int getWidth()

### getHeight

    int getHeight()

### isRow

    boolean isRow()

  Returns:
    `true` if the area has just a single row, this also includes the trivial case when the area has just a single cell.

### isColumn

    boolean isColumn()

  Returns:
    `true` if the area has just a single column, this also includes the trivial case when the area has just a single cell.

### getRow

    org.apache.poi.ss.formula.LazyAreaEval getRow(int rowIndex)

  Parameters:
    `rowIndex` - relative row index (zero based)
  Returns:
    a single row `TwoDEval`

### getColumn

    org.apache.poi.ss.formula.LazyAreaEval getColumn(int columnIndex)

  Parameters:
    `columnIndex` - relative column index (zero based)
  Returns:
    a single column `TwoDEval`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD